org.apache.uima.fit.descriptor

## Annotation Type FsIndexKey

-     @Retention(value=RUNTIME)
       @Target(value=TYPE)
      public @interface FsIndexKey

  See Also:
    `FsIndexKeyDescription`, `FsIndexFactory`

- - ### Field Summary

    Fields
    Modifier and Type | Fields and Description
    --- | ---
    `static int` | `REVERSE_STANDARD_COMPARE`
    `static int` | `STANDARD_COMPARE`

  - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `featureName`

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `int` | `comparator`

- - ### Field Detail

    - #### STANDARD_COMPARE

          public static final int STANDARD_COMPARE

      See Also:
        `FsIndexKeyDescription.STANDARD_COMPARE`

  - - #### REVERSE_STANDARD_COMPARE

          public static final int REVERSE_STANDARD_COMPARE

      See Also:
        `FsIndexKeyDescription.REVERSE_STANDARD_COMPARE`

  - ### Element Detail

    - #### featureName

          public abstract String featureName

      Returns:
        the name of this key's Feature
      See Also:
        `FsIndexKeyDescription.getFeatureName()`

  - - #### comparator

          public abstract int comparator

      Returns:
        this key's comparator
      See Also:
        `FsIndexKeyDescription.getComparator()`
      Default:
        0

Copyright © 2012–2020 The Apache Software Foundation. All rights reserved.